cdac.medinfo.sdk.hl7282.baselibs.segments

## Class PRD

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.PRD

- All Implemented Interfaces:
    ISegment

      public class PRD
      extends Segment

  PRD - provider data segment

  This segment will be employed as part of a patient referral message and its related transactions. The PRD segment contains data specifically focused on a referral, and it is inter-enterprise in nature

  Represents an HL7 PRD message segment. This segment has the following fields:

  PRD-1: Provider Role (CWE)Required
  PRD-2: Provider Name (XPN)Optional
  PRD-3: Provider Address (XAD)Optional
  PRD-4: Provider Location (PL)Optional
  PRD-5: Provider Communication Information (XTN)Optional
  PRD-6: Preferred Method of Contact (CWE)Optional
  PRD-7: Provider Identifiers (PLN)Optional
  PRD-8: Effective Start Date of Provider Role (DTM)Optional
  PRD-9: Effective End Date of Provider Role (DTM)Optional
  PRD-10: Provider Organization Name and Identifier (XON)Optional
  PRD-11: Provider Organization Address (XAD)Optional
  PRD-12: Provider Organization Location Information (PL)Optional
  PRD-13: Provider Organization Communication Information (XTN)Optional
  PRD-14: Provider Organization Method of Contact (CWE)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PRD()` Constucts the PRD segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProviderAddress(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Set the Provider Address.
    `void` | `addProviderAddress(XAD objtempProviderAddress)` Sets the Provider Address.
    `void` | `addProviderCommunicationInformation(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Provider Communication Information.
    `void` | `addProviderCommunicationInformation(XTN objtempProviderCommunicationInformation)` Sets the Provider Communication Information.
    `void` | `addProviderIdentifiers(PLN objtempProviderIdentifiers)` Set the Provider Identifiers.
    `void` | `addProviderIdentifiers(java.lang.String strIdNumber, CWE objTypeOfIdNumber, java.lang.String strStateOtherQualifyingInfo, java.lang.String strExpirationDate)` Set the Provider Identifiers.
    `void` | `addProviderName(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Provider Name.
    `void` | `addProviderName(XPN objtempProviderName)` Sets the Provider Name.
    `void` | `addProviderOrganizationAddress(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Set the Provider Organization Address.
    `void` | `addProviderOrganizationAddress(XAD ProviderOrganizationAddress)` Set the Provider Organization Address.
    `void` | `addProviderOrganizationCommunicationInformation(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Provider Organization Communication Information.
    `void` | `addProviderOrganizationCommunicationInformation(XTN ProviderOrganizationCommunicationInformation)` Set the Provider Organization Communication Information.
    `void` | `addProviderOrganizationLocationInformation(HD objPointOfCare, HD objRoom, HD objBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPersonLocationType, HD objBuilding, HD objFloor, java.lang.String strLocationDescription, EI objComprehensiveLocationIdentifier, HD objAssigningAuthorityForLocation)` Add the Provider Organization Location Information.
    `void` | `addProviderOrganizationLocationInformation(PL objProviderOrganizationLocationInformation)` Add the Provider Organization Location Information.
    `void` | `addProviderRole(CWE objtempProviderRole)` Set the Provider Role.
    `void` | `addProviderRole(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Provider Role.
    `DTM` | `getEffectiveEndDateofProviderRole()` Retrieves the Effective End Date of Provider Role.
    `DTM` | `getEffectiveStartDateofProviderRole()` Retrieves the Effective Start Date of Provider Role.
    `CWE` | `getPreferredMethodofContact()` Retrieves the Preferred Method of Contact.
    `ISingleCollection<XAD>` | `getProviderAddress()` Retrieves the Provider Address.
    `ISingleCollection<XTN>` | `getProviderCommunicationInformation()` Retrieves the Provider Communication Information.
    `ISingleCollection<PLN>` | `getProviderIdentifiers()` Retrieves the Provider Identifiers.
    `PL` | `getProviderLocation()` Retrieves the Provider Location.
    `ISingleCollection<XPN>` | `getProviderName()` Retrieves the Provider Name.
    `ISingleCollection<XAD>` | `getProviderOrganizationAddress()` Retrieves the Provider Organization Address.
    `ISingleCollection<XTN>` | `getProviderOrganizationCommunicationInformation()` Retrieves the Provider Organization Communication Information.
    `ISingleCollection<PL>` | `getProviderOrganizationLocationInformation()` Retrieves the Provider Organization Location Information.
    `CWE` | `getProviderOrganizationMethodOfContact()` Retrieves the Provider Organization Method of Contact.
    `XON` | `getProviderOrganizationNameAndIdentifier()` Retrieves the Provider Organization Name and Identifier.
    `ISingleCollection<CWE>` | `getProviderRole()` Retrieves the Provider Role.
    `void` | `setEffectiveEndDateofProviderRole(DTM objeffectiveEndDateofProviderRole)` Set the Effective End Date of Provider Role.
    `void` | `setEffectiveEndDateofProviderRole(java.lang.String strTime)` Set the Effective End Date of Provider Role.
    `void` | `setEffectiveStartDateofProviderRole(DTM objeffectiveStartDateofProviderRole)` Set the Effective Start Date of Provider Role.
    `void` | `setEffectiveStartDateofProviderRole(java.lang.String strTime)` Set the Effective Start Date of Provider Role.
    `void` | `setPreferredMethodofContact(CWE objpreferredMethodofContact)` Set the Preferred Method of Contact.
    `void` | `setPreferredMethodofContact(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Preferred Method of Contact.
    `void` | `setProviderAddress(ISingleCollection<XAD> objProviderAddressList)` Set the Provider Address.
    `void` | `setProviderCommunicationInformation(ISingleCollection<XTN> objProviderCommunicationInformationList)` Set the Provider Communication Information list.
    `void` | `setProviderIdentifiers(ISingleCollection<PLN> objProviderIdentifiersList)` Set the Provider Identifiers list.
    `void` | `setProviderLocation(HD objPointOfCare, HD objRoom, HD objBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPersonLocationType, HD objBuilding, HD objFloor, java.lang.String strLocationDescription, EI objComprehensiveLocationIdentifier, HD objAssigningAuthorityForLocation)` Set the Provider Location.
    `void` | `setProviderLocation(PL objproviderLocation)` Sets the Provider Location.
    `void` | `setProviderName(ISingleCollection<XPN> objProviderNameList)` Set the Provider Name list.
    `void` | `setProviderOrganizationAddress(ISingleCollection<XAD> objProviderOrganizationAddressList)` Set the Provider Organization Address list.
    `void` | `setProviderOrganizationCommunicationInformation(ISingleCollection<XTN> objProviderOrganizationCommunicationInformationList)` Set the Provider Organization Communication Information list.
    `void` | `setProviderOrganizationLocationInformation(ISingleCollection<PL> objProviderOrganizationLocationInformationList)` Set the Provider Organization Location Information.
    `void` | `setProviderOrganizationMethodOfContact(CWE ProviderOrganizationMethodOfContact)` Set the Provider Organization Method of Contact.
    `void` | `setProviderOrganizationMethodOfContact(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Provider Organization Method of Contact.
    `void` | `setProviderOrganizationNameAndIdentifier(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set the Provider Organization Name and Identifier.
    `void` | `setProviderOrganizationNameAndIdentifier(XON objProviderOrganizationNameAndIdentifier)` Ses the Provider Organization Name and Identifier.
    `void` | `setProviderRole(ISingleCollection<CWE> objProviderRoleList)` Set the Provider Role list.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PRD

          public PRD()

      Constucts the PRD segment.

  - ### Method Detail

    - #### getEffectiveEndDateofProviderRole

          public DTM getEffectiveEndDateofProviderRole()

      Retrieves the Effective End Date of Provider Role.
      Returns:
        DTM - effectiveEndDateofProviderRole

    - #### getEffectiveStartDateofProviderRole

          public DTM getEffectiveStartDateofProviderRole()

      Retrieves the Effective Start Date of Provider Role.
      Returns:
        DTM - effectiveStartDateofProviderRole

    - #### getPreferredMethodofContact

          public CWE getPreferredMethodofContact()

      Retrieves the Preferred Method of Contact. This field contains the preferred method to use when communicating with the provider.
      Returns:
        CWE - preferredMethodofContact

    - #### getProviderAddress

          public ISingleCollection<XAD> getProviderAddress()

      Retrieves the Provider Address. This field contains the mailing address of the provider identify in this segment.
      Returns:
        ISingleCollection - providerAddress

    - #### getProviderCommunicationInformation

          public ISingleCollection<XTN> getProviderCommunicationInformation()

      Retrieves the Provider Communication Information. This field contains information, such as the phone number or electronic mail address, used to communicate with the provider or organization.
      Returns:
        ISingleCollection - providerCommunicationInformation

    - #### getProviderIdentifiers

          public ISingleCollection<PLN> getProviderIdentifiers()

      Retrieves the Provider Identifiers. This field contains the provider's unique identifiers such as UPIN, Medicare and Medicaid numbers.
      Returns:
        ISingleCollection - providerIdentifiers

    - #### getProviderLocation

          public PL getProviderLocation()

      Retrieves the Provider Location. This field contains the location of the provider.
      Returns:
        PL - providerLocation

    - #### getProviderName

          public ISingleCollection<XPN> getProviderName()

      Retrieves the Provider Name. This field contains the name of the provider identified in this segment.
      Returns:
        ISingleCollection - providerName

    - #### getProviderRole

          public ISingleCollection<CWE> getProviderRole()

      Retrieves the Provider Role. This field contains the contact role that defines the relationship of the person describ in this segment to the patient being referred.
      Returns:
        ISingleCollection - providerRole

    - #### setEffectiveEndDateofProviderRole

          public void setEffectiveEndDateofProviderRole(java.lang.String strTime)

      Set the Effective End Date of Provider Role.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setEffectiveEndDateofProviderRole

          public void setEffectiveEndDateofProviderRole(DTM objeffectiveEndDateofProviderRole)

      Set the Effective End Date of Provider Role.
      Parameters:
        `objeffectiveEndDateofProviderRole` - object of Effective End Date of Provider Role.

    - #### setEffectiveStartDateofProviderRole

          public void setEffectiveStartDateofProviderRole(java.lang.String strTime)

      Set the Effective Start Date of Provider Role.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setEffectiveStartDateofProviderRole

          public void setEffectiveStartDateofProviderRole(DTM objeffectiveStartDateofProviderRole)

      Set the Effective Start Date of Provider Role.
      Parameters:
        `objeffectiveStartDateofProviderRole` - object of Effective Start Date of Provider Role.

    - #### setPreferredMethodofContact

          public void setPreferredMethodofContact(java.lang.String strIdentifier,
                                         java.lang.String strText,
                                         java.lang.String strNameOfCodingSystem,
                                         java.lang.String strAlternateIdentifier,
                                         java.lang.String strAlternateText,
                                         java.lang.String strNameOfAlternateCodingSystem,
                                         java.lang.String strCodingSystemVersionID,
                                         java.lang.String strAlternateCodingSystemVersionId,
                                         java.lang.String strOriginalText,
                                         java.lang.String strSecondAlternateIdentifier,
                                         java.lang.String strSecondAlternateText,
                                         java.lang.String strNameofSecondAlternateCodingSystem,
                                         java.lang.String strSecondAlternateCodingSystemVersionID,
                                         java.lang.String strCodingSystemOID,
                                         java.lang.String strValueSetOID,
                                         java.lang.String strValueSetVersionID,
                                         java.lang.String strAlternateCodingSystemOID,
                                         java.lang.String strAlternateValueSetOID,
                                         java.lang.String strAlternateValueSetVersionID,
                                         java.lang.String strSecondAlternateCodingSystemOID,
                                         java.lang.String strSecondAlternateValueSetOID,
                                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Preferred Method of Contact. This field contains the preferred method to use when communicating with the provider.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPreferredMethodofContact

          public void setPreferredMethodofContact(CWE objpreferredMethodofContact)

      Set the Preferred Method of Contact. This field contains the preferred method to use when communicating with the provider.
      Parameters:
        `objpreferredMethodofContact` - object of Preferred Method of Contact.

    - #### addProviderAddress

          public void addProviderAddress(SAD objStreetAddress,
                                java.lang.String strOtherDesignation,
                                java.lang.String strCity,
                                java.lang.String strStateOrProvince,
                                java.lang.String strZipOrPostalCode,
                                java.lang.String strCountry,
                                java.lang.String strAddressType,
                                java.lang.String strOtherGeographicDesignation,
                                CWE objCountyParishCode,
                                CWE objCensusTract,
                                java.lang.String strAddressRepresentationCode,
                                DTM objEffectiveDate,
                                DTM objExpirationDate,
                                CWE objEXpirationReason,
                                java.lang.String strTemporaryIndicator,
                                java.lang.String strBadAddressIndicator,
                                java.lang.String strAddressUsage,
                                java.lang.String strAddressee,
                                java.lang.String strComment,
                                java.lang.String strPreferenceOrder,
                                CWE objProtectionCode,
                                EI objAddressIdentifier)

      Set the Provider Address. This field contains the mailing address of the provider identify in this segment.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAddressIdentifier` - indicates a unique identifier for address

    - #### addProviderAddress

          public void addProviderAddress(XAD objtempProviderAddress)

      Sets the Provider Address.
      Parameters:
        `objtempProviderAddress` - object of ProviderAddress.

    - #### setProviderAddress

          public void setProviderAddress(ISingleCollection<XAD> objProviderAddressList)

      Set the Provider Address.
      Parameters:
        `objProviderAddressList` - List of Provider Address

    - #### addProviderCommunicationInformation

          public void addProviderCommunicationInformation(java.lang.String strTeleCommunicationUseCode,
                                                 java.lang.String strTeleCommunicationEquipmentType,
                                                 java.lang.String strCommuinicationAddress,
                                                 java.lang.String strCountryCode,
                                                 java.lang.String strAreaCityCode,
                                                 java.lang.String strLocalNumber,
                                                 java.lang.String strExtension,
                                                 java.lang.String strAnyText,
                                                 java.lang.String strExtensionPrefix,
                                                 java.lang.String strSpeedDialCode,
                                                 java.lang.String strUnformattedTelephoneNumber,
                                                 java.lang.String strEffectiveStartDate,
                                                 java.lang.String strExpirationDate,
                                                 CWE objExpirationReason,
                                                 CWE objProtectionCode,
                                                 EI objSharedTelecommunicationIdentifier,
                                                 java.lang.String strPreferenceOrder)

      Set the Provider Communication Information. This field contains information, such as the phone number or electronic mail address, used to communicate with the provider or organization. address, used to communicate with the provider or organization.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addProviderCommunicationInformation

          public void addProviderCommunicationInformation(XTN objtempProviderCommunicationInformation)

      Sets the Provider Communication Information.
      Parameters:
        `objtempProviderCommunicationInformation` - object of Provider Communication Information.

    - #### setProviderCommunicationInformation

          public void setProviderCommunicationInformation(ISingleCollection<XTN> objProviderCommunicationInformationList)

      Set the Provider Communication Information list.
      Parameters:
        `objProviderCommunicationInformationList` - List of Provider Communication Information.

    - #### addProviderIdentifiers

          public void addProviderIdentifiers(java.lang.String strIdNumber,
                                    CWE objTypeOfIdNumber,
                                    java.lang.String strStateOtherQualifyingInfo,
                                    java.lang.String strExpirationDate)

      Set the Provider Identifiers. This field contains the provider's unique identifiers such as UPIN, Medicare and Medicaid numbers.
      Parameters:
        `strIdNumber` - Specifies the license number or other ID number such as UPIN, Medicare and Medicaid number.
        `objTypeOfIdNumber` - Specifies the type of number.
        `strStateOtherQualifyingInfo` - Specifies the state or province in which the license or ID is valid
        `strExpirationDate` - Specifies the date when the license or ID is no longer valid.

    - #### addProviderIdentifiers

          public void addProviderIdentifiers(PLN objtempProviderIdentifiers)

      Set the Provider Identifiers. This field contains the provider's unique identifiers such as UPIN, Medicare and Medicaid numbers.
      Parameters:
        `objtempProviderIdentifiers` - object of Provider Identifiers.

    - #### setProviderIdentifiers

          public void setProviderIdentifiers(ISingleCollection<PLN> objProviderIdentifiersList)

      Set the Provider Identifiers list.
      Parameters:
        `objProviderIdentifiersList` - List of Provider Identifiers.

    - #### setProviderLocation

          public void setProviderLocation(HD objPointOfCare,
                                 HD objRoom,
                                 HD objBed,
                                 HD objFacility,
                                 java.lang.String strLocationStatus,
                                 java.lang.String strPersonLocationType,
                                 HD objBuilding,
                                 HD objFloor,
                                 java.lang.String strLocationDescription,
                                 EI objComprehensiveLocationIdentifier,
                                 HD objAssigningAuthorityForLocation)

      Set the Provider Location. This field contains the location of the provider.
      Parameters:
        `objPointOfCare` - Specifies the code for the point where patient care is administered.
        `objRoom` - Specifies the code for the patient's room.
        `objBed` - Specifies the code for the patient's bed.
        `objFacility` - Specifies to site interpretation but generally describes the highest level physical designation of an institution, medical center or enterprise.
        `strLocationStatus` - Specifies the code for the status or availability of the location.
        `strPersonLocationType` - Specifies the categorization of the person's location defined by facility, building, floor, point of care, room or bed.
        `objBuilding` - Specifies code for the building where the person is located.
        `objFloor` - Specifies the code for the floor where the person is located.
        `strLocationDescription` - Specifies describes the location in free text.
        `objComprehensiveLocationIdentifier` - Specifies represents the physical location as a whole without regard for the individual components.
        `objAssigningAuthorityForLocation` - Specifies the entity that creates the data for the individual physical location components.

    - #### setProviderLocation

          public void setProviderLocation(PL objproviderLocation)

      Sets the Provider Location.
      Parameters:
        `objproviderLocation` - object of Provider Location.

    - #### addProviderName

          public void addProviderName(FN objFamilyName,
                             java.lang.String strGivenName,
                             java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                             java.lang.String strSuffix,
                             java.lang.String strPrefix,
                             java.lang.String strNameTypeCode,
                             java.lang.String strNameRepresentationCode,
                             CWE objNameContext,
                             java.lang.String strNameAssemblyOrder,
                             DTM objEffectiveDate,
                             DTM objExpirationDate,
                             java.lang.String strProfessionalSuffix,
                             java.lang.String strCalledBy)

      Set the Provider Name. This field contains the name of the provider identified in this segment.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### addProviderName

          public void addProviderName(XPN objtempProviderName)

      Sets the Provider Name.
      Parameters:
        `objtempProviderName` - object of Provider Name.

    - #### setProviderName

          public void setProviderName(ISingleCollection<XPN> objProviderNameList)

      Set the Provider Name list.
      Parameters:
        `objProviderNameList` - List of Provider Name

    - #### addProviderRole

          public void addProviderRole(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Provider Role. This field contains the contact role that defines the relationship of the person describ in this segment to the patient being referred.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addProviderRole

          public void addProviderRole(CWE objtempProviderRole)

      Set the Provider Role. This field contains the contact role that defines the relationship of the person describ in this segment to the patient being referred.
      Parameters:
        `objtempProviderRole` - object of Provider Role.

    - #### setProviderRole

          public void setProviderRole(ISingleCollection<CWE> objProviderRoleList)

      Set the Provider Role list.
      Parameters:
        `objProviderRoleList` - List of Provider Role

    - #### getProviderOrganizationNameAndIdentifier

          public XON getProviderOrganizationNameAndIdentifier()

      Retrieves the Provider Organization Name and Identifier. This field contains the name of the provider where the provider is an organization.
      Returns:
        XON - ProviderOrganizationNameAndIdentifier

    - #### setProviderOrganizationNameAndIdentifier

          public void setProviderOrganizationNameAndIdentifier(java.lang.String strOrganizationName,
                                                      CWE objOrganizationNameTypeCode,
                                                      HD objAssigningAuthority,
                                                      java.lang.String strIdentifierTypeCode,
                                                      HD objAssigningFacility,
                                                      java.lang.String strNameRepresentationCode,
                                                      java.lang.String strOrganizationIdentifier)

      Set the Provider Organization Name and Identifier. This field contains the name of the provider where the provider is an organization.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.8.2.

    - #### setProviderOrganizationNameAndIdentifier

          public void setProviderOrganizationNameAndIdentifier(XON objProviderOrganizationNameAndIdentifier)

      Ses the Provider Organization Name and Identifier. This field contains the name of the provider where the provider is an organization.
      Parameters:
        `objProviderOrganizationNameAndIdentifier` - object of Provider Organization Name and Identifier.

    - #### getProviderOrganizationAddress

          public ISingleCollection<XAD> getProviderOrganizationAddress()

      Retrieves the Provider Organization Address. This field contains the address of the provider if it is an organization.
      Returns:
        ISingleCollection - ProviderOrganizationAddress

    - #### addProviderOrganizationAddress

          public void addProviderOrganizationAddress(SAD objStreetAddress,
                                            java.lang.String strOtherDesignation,
                                            java.lang.String strCity,
                                            java.lang.String strStateOrProvince,
                                            java.lang.String strZipOrPostalCode,
                                            java.lang.String strCountry,
                                            java.lang.String strAddressType,
                                            java.lang.String strOtherGeographicDesignation,
                                            CWE objCountyParishCode,
                                            CWE objCensusTract,
                                            java.lang.String strAddressRepresentationCode,
                                            DTM objEffectiveDate,
                                            DTM objExpirationDate,
                                            CWE objEXpirationReason,
                                            java.lang.String strTemporaryIndicator,
                                            java.lang.String strBadAddressIndicator,
                                            java.lang.String strAddressUsage,
                                            java.lang.String strAddressee,
                                            java.lang.String strComment,
                                            java.lang.String strPreferenceOrder,
                                            CWE objProtectionCode,
                                            EI objAddressIdentifier)

      Set the Provider Organization Address. This field contains the address of the provider if it is an organization.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### addProviderOrganizationAddress

          public void addProviderOrganizationAddress(XAD ProviderOrganizationAddress)

      Set the Provider Organization Address. This field contains the address of the provider if it is an organization.
      Parameters:
        `ProviderOrganizationAddress` - Provider Organization Address.

    - #### setProviderOrganizationAddress

          public void setProviderOrganizationAddress(ISingleCollection<XAD> objProviderOrganizationAddressList)

      Set the Provider Organization Address list.
      Parameters:
        `objProviderOrganizationAddressList` - List of Diagnosing Clinician

    - #### getProviderOrganizationLocationInformation

          public ISingleCollection<PL> getProviderOrganizationLocationInformation()

      Retrieves the Provider Organization Location Information. This field contains the location details of the provider if it is an organization.
      Returns:
        ISingleCollection - ProviderOrganizationLocationInformation

    - #### addProviderOrganizationLocationInformation

          public void addProviderOrganizationLocationInformation(HD objPointOfCare,
                                                        HD objRoom,
                                                        HD objBed,
                                                        HD objFacility,
                                                        java.lang.String strLocationStatus,
                                                        java.lang.String strPersonLocationType,
                                                        HD objBuilding,
                                                        HD objFloor,
                                                        java.lang.String strLocationDescription,
                                                        EI objComprehensiveLocationIdentifier,
                                                        HD objAssigningAuthorityForLocation)

      Add the Provider Organization Location Information. This field contains the location details of the provider if it is an organization.
      Parameters:
        `strPointOfCare` - Use as PointOfCare.
        `strRoom` - Use as Room.
        `strBed` - Use as Bed.
        `objFacility` - Use as Facility.
        `strLocationStatus` - Use as LocationStatus.
        `strPersonLocationType` - Use as PersonLocationType.
        `strBuilding` - Use as Building.
        `strFloor` - Use as Floor.
        `strLocationDescription` - Use as LocationDescription.
        `objComprehensiveLocationIdentifier` - Use as ComprehensiveLocationIdentifier.
        `objAssigningAuthorityForLocation` - Use as AssigningAuthorityForLocation.

    - #### addProviderOrganizationLocationInformation

          public void addProviderOrganizationLocationInformation(PL objProviderOrganizationLocationInformation)

      Add the Provider Organization Location Information. This field contains the location details of the provider if it is an organization.
      Parameters:
        `objProviderOrganizationLocationInformation` - Object of Provider Organization Location Information.

    - #### setProviderOrganizationLocationInformation

          public void setProviderOrganizationLocationInformation(ISingleCollection<PL> objProviderOrganizationLocationInformationList)

      Set the Provider Organization Location Information. This field contains the location details of the provider if it is an organization.
      Parameters:
        `objProviderOrganizationLocationInformationList` - List of Provider Organization Location Information.

    - #### getProviderOrganizationCommunicationInformation

          public ISingleCollection<XTN> getProviderOrganizationCommunicationInformation()

      Retrieves the Provider Organization Communication Information. This field contains information, such as the phone number or electronic mail address, used to communicate with the provider if it is an organization.
      Returns:
        ISingleCollection - ProviderOrganizationCommunicationInformation

    - #### addProviderOrganizationCommunicationInformation

          public void addProviderOrganizationCommunicationInformation(java.lang.String strTeleCommunicationUseCode,
                                                             java.lang.String strTeleCommunicationEquipmentType,
                                                             java.lang.String strCommuinicationAddress,
                                                             java.lang.String strCountryCode,
                                                             java.lang.String strAreaCityCode,
                                                             java.lang.String strLocalNumber,
                                                             java.lang.String strExtension,
                                                             java.lang.String strAnyText,
                                                             java.lang.String strExtensionPrefix,
                                                             java.lang.String strSpeedDialCode,
                                                             java.lang.String strUnformattedTelephoneNumber,
                                                             java.lang.String strEffectiveStartDate,
                                                             java.lang.String strExpirationDate,
                                                             CWE objExpirationReason,
                                                             CWE objProtectionCode,
                                                             EI objSharedTelecommunicationIdentifier,
                                                             java.lang.String strPreferenceOrder)

      Set the Provider Organization Communication Information. This field contains information, such as the phone number or electronic mail address, used to communicate with the provider if it is an organization.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addProviderOrganizationCommunicationInformation

          public void addProviderOrganizationCommunicationInformation(XTN ProviderOrganizationCommunicationInformation)

      Set the Provider Organization Communication Information. This field contains information, such as the phone number or electronic mail address, used to communicate with the provider if it is an organization.
      Parameters:
        `ProviderOrganizationCommunicationInformation` - Provider Organization Communication Information.

    - #### setProviderOrganizationCommunicationInformation

          public void setProviderOrganizationCommunicationInformation(ISingleCollection<XTN> objProviderOrganizationCommunicationInformationList)

      Set the Provider Organization Communication Information list.
      Parameters:
        `objProviderOrganizationCommunicationInformationList` - List of Diagnosing Clinician

    - #### getProviderOrganizationMethodOfContact

          public CWE getProviderOrganizationMethodOfContact()

      Retrieves the Provider Organization Method of Contact. This field contains the preferred method to use when communicating with the provider if provider is an organization.
      Returns:
        CWE - ProviderOrganizationMethodOfContact

    - #### setProviderOrganizationMethodOfContact

          public void setProviderOrganizationMethodOfContact(java.lang.String strIdentifier,
                                                    java.lang.String strText,
                                                    java.lang.String strNameOfCodingSystem,
                                                    java.lang.String strAlternateIdentifier,
                                                    java.lang.String strAlternateText,
                                                    java.lang.String strNameOfAlternateCodingSystem,
                                                    java.lang.String strCodingSystemVersionID,
                                                    java.lang.String strAlternateCodingSystemVersionId,
                                                    java.lang.String strOriginalText,
                                                    java.lang.String strSecondAlternateIdentifier,
                                                    java.lang.String strSecondAlternateText,
                                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                                    java.lang.String strCodingSystemOID,
                                                    java.lang.String strValueSetOID,
                                                    java.lang.String strValueSetVersionID,
                                                    java.lang.String strAlternateCodingSystemOID,
                                                    java.lang.String strAlternateValueSetOID,
                                                    java.lang.String strAlternateValueSetVersionID,
                                                    java.lang.String strSecondAlternateCodingSystemOID,
                                                    java.lang.String strSecondAlternateValueSetOID,
                                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Provider Organization Method of Contact. This field contains the preferred method to use when communicating with the provider if provider is an organization.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setProviderOrganizationMethodOfContact

          public void setProviderOrganizationMethodOfContact(CWE ProviderOrganizationMethodOfContact)

      Set the Provider Organization Method of Contact. This field contains the preferred method to use when communicating with the provider if provider is an organization.
      Parameters:
        `ProviderOrganizationMethodOfContact` - Provider Organization Method of Contact.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.